## visad.java3d
Class AVControlJ3D

    java.lang.Object
      visad.Control
          visad.java3d.AVControlJ3D

All Implemented Interfaces:
  AVControl, Cloneable, Serializable

Direct Known Subclasses:
  AnimationControlJ3D, ValueControlJ3D

public abstract class AVControlJ3D
extends Control
implements AVControl

AVControlJ3D is the VisAD abstract superclass for AnimationControlJ3D and ValueControlJ3D.

See Also:
  Serialized Form

Nested Class Summary
`protected class` `AVControlJ3D.SwitchSet` SwitchSet is an inner class of AVControlJ3D for (Switch, Set, DataRenderer) structures

Field Summary
`(package private) Vector` `switches`

Fields inherited from class visad.Control
``

Constructor Summary
`AVControlJ3D(DisplayImplJ3D d)`

Method Summary
`void` `addPair(javax.media.j3d.Switch sw, Set se, DataRenderer re)`
`void` `clearSwitches(DataRenderer re)` clear all 'pairs' in switches that involve re
`boolean` `equals(Object o)` Indicates whether or not this instance equals an Object
`Vector` `getSwitches()`
`abstract void` `init()`
`void` `nullControl()` end this control (called by ScalarMap.nullDisplay())
`void` `selectSwitches(double value, Set animation_set)`
`void` `setInterval(int interval)` Sets the time between two steps in the animation set.

Methods inherited from class visad.Control
`addControlListener, animation_string, changeControl, checkTicks, clone, getDisplay, getDisplayRenderer, getInstanceNumber, getSaveString, incTick, peekTicks, removeControlListener, resetTicks, setSaveString, setTicks, subCheckTicks, subPeekTicks, subResetTicks, subSetTicks, syncControl, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.AVControl
`addControlListener, getSaveString, removeControlListener, setSaveString`

Field Detail

### switches

    transient Vector switches

Constructor Detail

### AVControlJ3D

    public AVControlJ3D(DisplayImplJ3D d)

Method Detail

### addPair

    public void addPair(javax.media.j3d.Switch sw,
                        Set se,
                        DataRenderer re)

### nullControl

    public void nullControl()

  Description copied from class: `Control`
  end this control (called by ScalarMap.nullDisplay())

  Overrides:
    `nullControl` in class `Control`

### init

    public abstract void init()
                       throws VisADException

  Throws:
    `VisADException`

### setInterval

    public void setInterval(int interval)

  Sets the time between two steps in the animation set. This value is then used to determine the range of acceptable samples to view out of each of the renderers associated with the AV_Control

  Parameters:
    `interval` - the time interval in minutes between steps in the animation set

### selectSwitches

    public void selectSwitches(double value,
                               Set animation_set)
                        throws VisADException

  Throws:
    `VisADException`

### clearSwitches

    public void clearSwitches(DataRenderer re)

  clear all 'pairs' in switches that involve re

  Specified by:
    `clearSwitches` in interface `AVControl`
  Parameters:
    `re` - - DataRenderer used to select SwitchSet objects

### getSwitches

    public Vector getSwitches()

### equals

    public boolean equals(Object o)

  Description copied from class: `Control`
  Indicates whether or not this instance equals an Object

  Overrides:
    `equals` in class `Control`
  Parameters:
    `o` - an Object
  Returns:
    true if and only if this instance is equal to o